<div class="ngx-dnd-container" ngxDroppable="widgets" [ngClass]="{'gu-empty': !widgets.length}" [model]="widgets"
     (drag)="log($event)"
     (drop)="log($event)"
     (over)="log($event)"
     (out)="log($event)"
     (remove)="log($event)">
  <creator-widget ngxDraggable class="ngx-dnd-item has-handle"
                  *ngFor="let widget of widgets; let i = index"
                  [model]="widgets[i]"
                  [(data)]="widgets[i]"
                  (remove)="removeWidget(i)"
                  (moveDown)="moveWidget(i, i+1)"
                  (moveUp)="moveWidget(i, i-1)"></creator-widget>
</div>

<ion-toolbar color="dark" *ngIf="creatorProv.editMode">

  <ion-buttons left>
    <button ion-button (click)="exportImport($event)" title="Export/Import">
      &#123; &#125;
    </button>
  </ion-buttons>

  <!--<ion-title text-uppercase>{{}}</ion-title>-->

  <ion-buttons end>

    <button ion-button (click)="addWidget($event)">
      ⊕
    </button>

  </ion-buttons>

</ion-toolbar>
